Page MenuHome

you cannot select bones individually
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-8.1-6.3.9600 64 Bits
Graphics card: Intel(R) HD Graphics 4400 Intel 4.2.0 - Build 10.18.10.3496

Blender Version
Broken: version: 2.80 (sub 75), branch: master, commit date: 2019-07-29 14:47, hash: rBf6cb5f54494e
Worked: (optional)

Short description of error
when creating a skeleton with several bones, in the pose mode, it is impossible to select individual bones without having to do it by clicking on the parent bone

Exact steps for others to reproduce the error
I created a simple three bone system with strusion, I entered the pose mode to individually select each bone and check if each one was selected, I did not get it with the left click, and with the right click the context menu of the bones opens , in the video I show the problem and the configuration of user preferences, which are the ones that are set by default{F7638022}

Event Timeline

Philipp Oeser (lichtwerk) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jul 31 2019, 10:08 AM

Could you try upgrading your GPU drivers and see if this fixes it for you?

(guess you can get them here: https://downloadcenter.intel.com/product/81497/Intel-HD-Graphics-4400)

Lots of reports about issues with bone selection - all seem to be from Windows users with integrated Intel graphics.


Since the Alpha version I have been reviewing the driver drivers of the equipment continuously every 15 days approximately, the reason was the immediate closure of Blender when opening Cycles with shaders in preview render view, with simple objects and diffuse material, even every month or little more , I usually make a diagnosis of the state of the graphics processor, with the official Intel diagnostic tool, I imagine that you will know it, the way of working of that tool is, in addition to the analysis of the processing threads, the forced temperatures at which it works , generating for this two systems of cascading particles, in the results of the analysis it always tells me that everything is correct, updated and the maximum temerature of forced labor rarely exceeds 70º Celsius, which is not exaggerated, but something normal ... this report is the third time I have done it, both with 2.80 rc1, and with 2.80 rc2, with rc3 I did not report any p Or that I imagined that it could be solved for the stable edition, but the problem I see is difficult to identify, I see that I am not the only one who happens this, perhaps the manufacturers of these processors, when manufacturing them, did not take into account any orders of work that could receive this 4000 series of their processors, and I think that should be the problem, if I had knowledge of writing command lines, I could have tried to find the red line that generates the error, but I don't know anything about code, excuse my language, I use Google Traslate to write, I do not know English, thank you very much for the attention and patience you have with us, you are doing a spectacular job

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.Jul 31 2019, 11:08 AM
Germano Cavalcante (mano-wii) lowered the priority of this task from Waiting for Developer to Reproduce to Confirmed, Medium.

I can confirm on Windows 10 and Intel(R) HD Graphics 4000 version: 4.0.0 - Build 10.18.10.5069.

Bug introduced in rB60319e25f246

Let me rephrase.

Is there a way I can pose bones of my model without going to the outline, and clicking the name of bones from there. I have seen other people do it in the 3d view port but I cant click any bones in pose mode from there.

Is there a way i can select the bones instead of going to the outline on the right and scrolling. As show in the picture.

Updating the Intel drivers does no fix the bone selection issue.
It did resolve an issue with crashing when switching display modes.

Latest Intel® HD Graphics drivers as of today.
Driver Version10.18.10.5069
Driver Date12/27/2018

If you would like more info about my system let me know.

is there anyway it can be fixed with the bone selection

There are some workarounds.

  1. Select the bone in the scene collection. This only is only good for the entire bone it does not allow for bone end movement.
  1. Using the select tool, select the root bone or its head end, then click it again to move to the next bone/head end. Doing this repeatedly will step through each bone/head. The selection order is based on how the bones are listed in the scene collection and will jump back to the root bone at the end of the bones. If you move the mouse between clicks you will have to start over. This can also be done with the move tool but the gizmo can get in the way when you do the second click. It does not work with the rotate or the transform tool because the gizmo gets in the way of the second click needed to move to the next item. You can start with the selection tool then switch tool you need when you have the bone/end selected you want to manipulate.
  1. Using the circle select tool, you can directly select the bone or end you want. This method requires some caution when selecting a bone/end. The circle select tool will select multiple bone and ends including ones that are behind the target item that are not visible. (Having X-Ray off does not change this.) The following is my work flow for this method.

Enter Edit/Pose Mode.
Make sure nothing is selected.
Rotate model to be sure there is nothing hiding behind the target bone/end.
Zoom in close to the bone/end for better selection results.
Press c to activate the circle select tool.
Use mouse wheel to adjust circle size, make it just big enough to get the target.
Select the target item(s).
Press esc to exit from the circle select tool.
Make sure you have only the item(s) you want.
Select the move, rotate, scale or transform and adjust as needed.

I detected the problem. glDrawElementsInstancedBaseVertexBaseInstance does not work well on older Intel GPUs. The last parameter (which Specifies the base instance) is completely ignored.
So the solution is to find a way to detect if this function is really supported.

can i shrink the circle to a very small bit or no?

Does this mean there's an actual fix, that will be in the next 2.81 development download?

Billreynish: Thanks for the quick response on this issue.

Hooeper: Use the mouse scroll wheel to adjust the circle tool so it is just big enough to cover the bone or the end that you want to select.

Will this fix for nvidia Quadro with latest driver?
If you don't think so, I prepare post as another issue with .blend to reproduce. thanks.

Will this fix for nvidia Quadro with latest driver?

Nothing has been changed for this GPU.
But you have to make sure it is the same bug.
And there's also the possibility that you're loading Blender with an integrated Intel GPU.
To be sure, share the generated file from Help -> Save System Info.

Thanks mano-wii. I would share the file.

posted as another issue. https://developer.blender.org/T68042

My bone selection issue has been resolved in latest experimental build blender-2.81.0-git.d8fb63661b32-windows64.

I really enjoy using Blender and appreciate all the work that has gone into it.

Thanks to every body that has made this Blender possible.

Well ... I still cannot select bones with the experimental version compiled on August 1, I experience the same problem of the first report I made in its day with the official release of 2.80 on Day 30, if you need screen recording with the steps that I use from the beginning, I can make this capture, I appreciate all the time you are investing in this solution, it is not really if I can work with bones or not, but it would be strange that the next official launch did not have that repair , there are still many who use Intel 4000 series processors, maybe it's just the model of this series that my computer occupies, it's not a problem for me, I can live with it, it's just getting used to it, but others, and professionally , perhaps it will generate problems of times in their animations, by taking more time in the selection of specific bones for a pose

I tried 2.81. It got worse in my environment.


hand bone can be picked only inside of red annotaion.;near by bone edge.